- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# Light File Reference

`#include <osg/StateAttribute>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`

Include dependency graph for Light:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::Light
| Light state class which encapsulates OpenGL glLight() functionality. More...
## Defines
#define | OSG_LIGHT 1

## Define Documentation

#define OSG_LIGHT 1